# 32/64bit spec
#

%define major 2
%define libname %mklibname tcplay %{major}
%define libdevel %mklibname tcplay -d

Summary: 	Free and simple TrueCrypt implementation based on dm-crypt
Summary(de): 	Freie und einfache TrueCrypt Implementierung basierend auf dm-crypt
Name:		tc-play
Version:	2.0
Release:	%mkrel 3
License:	2-claused BSD
Group:		Security
URL:		https://github.com/bwalex/tc-play
Source:		%{name}-%{version}.tar.xz
#-----------------------------------
BuildRequires:	cmake
BuildRequires: %{_lib}devmapper-devel
BuildRequires: %{_lib}gcrypt-devel
BuildRequires: %{_lib}gpg-error-devel
BuildRequires: %{_lib}uuid-devel
#-----------------------------------
BuildRoot:	%{_tmppath}/%{name}-root


%description
tcplay is a free (BSD-licensed), pretty much fully featured (including multiple keyfiles, 
cipher cascades, etc) and stable TrueCrypt implementation.

This implementation supports mapping (opening) both system and normal TrueCrypt volumes, 
as well as opening hidden volumes and opening an outer volume while protecting a hidden 
volume. There is also support to create volumes, including hidden volumes, etc.

Since tcplay uses dm-crypt (or dm_target_crypt on DragonFly) it makes full use of any 
available hardware encryption/decryption support once the volume has been mapped.

%description -l de
tcplay ist eine freie (BSD-lizensierte) und stabile TrueCrypt Implementierung mit an-
nähernd so vielen Fähigkeiten wie TrueCrypt (inclusive mehrer Schlüsseldateien, 
Verschlüsselungskaskaden, etc).

Diese Implementierung unterstützt das Mapping (Öffnen) von sowohl System- und normalen TrueCrypt
Laufwerken, als auch das Öffnen von versteckten Laufwerken und das öffnen eines äußeren 
Laufwerks, während ein verstecktes Laufwerk geschützt bleibt. Es wird außerdem das Erstellen 
von Laufwerken, einschließlich versteckten Laufwerken, etc, unterstützt.

Seit tcplay dm-crypt (oder dm_target_crypt on DragonFly) nutzt, macht es vollständig Gebrauch
von der Hardwareunterstützung für das Ver- und Entschlüsseln, sobald das Laufwerk ins System
eingehängt wurde.

%package -n %{libname}
Summary:	Runtime library for %{name}
Summary(de):	Laufzeitbibliothek für %{name}
Group:		System/Libraries
Provides:	libtcplay

%description -n %{libname}
This package contains the necessary libraries to run programs which are compiled
against libtcplay.

%description -n %{libname} -l de
Diese Paket enthält die benötigten Bibliotheken zum Ausführen von Programmen, die
mit libtcplay kompiliert wurden.

%package -n %{libdevel}
Summary:	Development library and header for %{name}
Summary(de):	Entwicklerbibliothek und Header für %{name}
Group:		Development/Libraries
Requires:	%{libname}
Provides:	libtcplay-devel

%description -n %{libdevel}
The package contains the necessary libraries for developing
programs based on %{name}

%description -n %{libdevel} -l de
Das Paket enthält die benötigten Bibliotheken um Programme zu 
entwickeln, die auf %{name} basieren sollen.

%prep
%setup -q

%build
%cmake
%make

%install
rm -rf %{buildroot}

pushd build
%makeinstall_std
popd

# don't ship the static library
rm -f %{buildroot}%{_libdir}/*.a

%files
%defattr(-,root,root)
%doc CHANGELOG LICENSE README.md
%{_sbindir}/tcplay
%{_mandir}/man8/tcplay.8.bz2

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libtcplay.so.%{major}*

%files -n %{libdevel}
%defattr(-,root,root)
%{_includedir}/tcplay_api.h
%{_libdir}/libtcplay.so
%{_libdir}/pkgconfig/tcplay.pc
%{_mandir}/man3/tcplay.3.bz2

%changelog
* Sat Dec 09 2017 adrianomorselli <adrianomorselli> 2.0-3uplos2017
- rebuild
